clear all
close all
% Choix du moniteur pour les figures (pour la video):
% monitor=max(fc_tools.graphics.monitors.number());

meshfile=fc_oogmsh.gmsh.buildmesh2d('./geofile/ring.geo',30);
ThB=fc_simesh.siMesh(meshfile);
Title=true;

fontsize=12;

figure(1)
ThB.plotmesh('fill',true,'color','lightgray')
hold on
ThB.plotmesh('d',1,'inlegend',true,'linewidth',1.5)
axis image;axis off
fc_graphics4mesh.legend('fontsize',fontsize+2,'location','eastoutside')

meshfile=fc_oogmsh.gmsh.buildmesh2d('./geofile/ring.geo',3);
Th=fc_simesh.siMesh(meshfile); % Small mesh

figure(2)
Th.plotmesh('d',1,'color','k','linewidth',1.5)
hold on
Th.plotmesh('inlegend',true)
Th.plotnodesidx('color','b','fontsize',fontsize)
Th.plotelementsidx('fontsize',fontsize)
axis image;axis off
fc_graphics4mesh.legend('fontsize',fontsize+6,'location','eastoutside')

figure(3)
Th.plotmesh('color','lightgray')
hold on
Th.plotmesh('d',1,'inlegend',true,'linewidth',1.5)
axis image;axis off
[~,lab]=Th.find(1);
for i=lab
  Th.plotnodesidx('d',1,'labels',i,'color','b','fontsize',fontsize+4)
  Th.plotelementsidx('d',1,'labels',i,'fontsize',fontsize+4)
end
fc_graphics4mesh.legend('fontsize',fontsize+4,'location','eastoutside')


%fc_tools.graphics.monitors.autoGrid('monitor',monitor,'covers',0.9) % pour la video
fc_tools.graphics.monitors.autoGrid('covers',0.9)
